UNIT SVGA;

INTERFACE
    USES CRT,GRAPH;
    procedure InitSVGA;{ 樠 䨪 640x480x256}
    procedure InitVGA; { 樠 䨪 640x480x16 }

IMPLEMENTATION
procedure InitSVGA;{ 樠 䨪 640x480x256}
var graphdriver, graphmode, errorcode,Err: INTEGER;
begin graphdriver:=installuserdriver('svga256m.bgi',nil);
    if graphdriver=grerror then begin 
        writeln('SVGA-drijver niet gevonden.'); 
        writeln(' ࠡ⠥');
        readln; 
        halt(1) 
    end;
    graphmode:=2;initgraph(graphdriver,graphmode,'');
    Err := GraphResult;
    case Err of         
        -1:WriteLn('Error : BGI graphics not installed');
        -2:WriteLn('Error : Graphics hardware not detected');
        -3:WriteLn('Error : Device driver file not found');
        -4:WriteLn('Error : Invalid device driver file');
        -5:WriteLn('Error : Not enough memory to load driver');        
    else  WriteLn('Error !');
    end;
    if Err<>0 then Halt(Err);
end;

procedure InitVGA; 
var d,m,Err:integer;
begin
    d:=detect;
    initgraph(d,m,'');
    Err := GraphResult;
    case Err of         
        -1:WriteLn('Error : BGI graphics not installed');
        -2:WriteLn('Error : Graphics hardware not detected');
        -3:WriteLn('Error : Device driver file not found');
        -4:WriteLn('Error : Invalid device driver file');
        -5:WriteLn('Error : Not enough memory to load driver');        
    else  WriteLn('Error !');
    end;
    if Err<>0 then Halt(Err);
end;

END.